package com.usky.issue.mapper;

import com.usky.issue.domain.YtDeviceStatus;
import com.usky.common.mybatis.core.CrudMapper;
import feign.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 离线设备VIEW Mapper 接口
 * </p>
 *
 * @author fu
 * @since 2023-11-23
 */
@Repository
public interface YtDeviceStatusMapper extends CrudMapper<YtDeviceStatus> {
    List<YtDeviceStatus> getDeviceStatusType(@Param("deviceType") String deviceType,
                                             @Param("Current") int Current,
                                             @Param("Size") int Size);
}
